All Collections
General Questions
Airtable legacy API
Error: “You should provide a valid api key to perform this operation”.
Error: “You should provide a valid api key to perform this operation”.

I’m getting an error. How can I fix this?

Updated this week

This error shows for legacy account users. If you have already created your personal access token in Airtable, you may need to regenerate the token and then go to your miniExtension account settings and replace the API key for the newly generated token here.

Please take note that this will affect only the extensions that use this access token.

If the issue persists with certain extensions, you may need to manually insert the token into those extensions. Navigate to the list of extensions and access the extension settings. Under step 1: API Key, click on the designated area and choose the token.

Did this answer your question?